curl --request GET \
--url https://api.aries.com/v1/stocks/snapshot \
--header 'Authorization: Bearer <token>'{
"count": 3,
"status": "OK",
"tickers": [
{
"day": {
"close": 444.176,
"high": 445.955,
"low": 442.158,
"open": 442.158,
"volume": 151395,
"vwap": 445.03447
},
"lastQuote": {
"askPrice": 0,
"askSize": 0,
"bidPrice": 0,
"bidSize": 0,
"timestamp": 0
},
"lastTrade": {
"tradeId": "71675577320245",
"price": 0,
"size": 0,
"timestamp": 0,
"exchangeId": 0
},
"min": {
"accumulatedVolume": 151395,
"close": 444.187,
"high": 444.57,
"low": 444.187,
"numberOfTrades": 59,
"open": 444.57,
"timestamp": 1767606360000,
"volume": 2532,
"vwap": 444.40449
},
"prevDay": {
"close": 438.07,
"high": 458.34,
"low": 435.3,
"open": 457.8,
"volume": 85351571,
"vwap": 444.0976
},
"ticker": "TSLA",
"todaysChange": 0,
"todaysChangePerc": 0,
"updated": 1767606420000000000
}
]
}Get snapshot of all tickers or specific tickers with current day data including latest price, volume, and daily changes. Provides real-time market overview.
Use Case: Build real-time watchlists and market scanners showing current prices, volumes, and intraday performance.
curl --request GET \
--url https://api.aries.com/v1/stocks/snapshot \
--header 'Authorization: Bearer <token>'{
"count": 3,
"status": "OK",
"tickers": [
{
"day": {
"close": 444.176,
"high": 445.955,
"low": 442.158,
"open": 442.158,
"volume": 151395,
"vwap": 445.03447
},
"lastQuote": {
"askPrice": 0,
"askSize": 0,
"bidPrice": 0,
"bidSize": 0,
"timestamp": 0
},
"lastTrade": {
"tradeId": "71675577320245",
"price": 0,
"size": 0,
"timestamp": 0,
"exchangeId": 0
},
"min": {
"accumulatedVolume": 151395,
"close": 444.187,
"high": 444.57,
"low": 444.187,
"numberOfTrades": 59,
"open": 444.57,
"timestamp": 1767606360000,
"volume": 2532,
"vwap": 444.40449
},
"prevDay": {
"close": 438.07,
"high": 458.34,
"low": 435.3,
"open": 457.8,
"volume": 85351571,
"vwap": 444.0976
},
"ticker": "TSLA",
"todaysChange": 0,
"todaysChangePerc": 0,
"updated": 1767606420000000000
}
]
}OAuth2 Bearer token: obtain an access token from the token endpoint and send it in the Authorization header.
Comma-separated list of tickers
"AAPL,TSLA,GOOG"
Include OTC securities
false
Was this page helpful?